%define iconname %{name}.png

Summary:	A book collection manager
Name:		tellico
Version:	1.2.14
Release:	%mkrel 1
Epoch:		1
License:	GPL
Group:		Databases
URL:		http://www.periapsis.org/tellico
Source:		http://www.periapsis.org/tellico/download/%{name}-%{version}.tar.bz2
Requires:	kdebase
Requires:	kdemultimedia-kscd
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	kdelibs-devel 
BuildRequires:	libxslt-devel >= 1.0.19
BuildRequires:	imagemagick
BuildRequires:	chrpath
BuildRequires:	taglib-devel
BuildRequires:	libkdemultimedia-common-devel
BuildRequires:	kdepim-devel
BuildRequires:	libcdda-devel
BuildRequires:	yaz-devel >= 3.0
BuildRequires:	tcp_wrappers-devel 
Obsoletes:	bookcase
Provides:	bookcase
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Tellico is a KDE application for keeping track of your book collection.

Features:

o Supports collections of books, bibliographic entries, videos, or music. 
o Supports any number of user-defined fields, of eight different types:
   o text, paragraph, list, checkbox, year, URL
   o tables of one or two columns.
o Handles books with multiple authors, genres, keywords, etc.
o Automatically formats titles and names
o Supports collection searching and view filtering
o Sorts and groups collection by various properties
o Automatically validates ISBN
o Allows customizable output through XSLT
o Imports Bibtex, Bibtexml, and CSV
o Exports to Bibtex, Bibtexml, CSV, and HTML
o Includes translations for more than nine languages, other than English
o Imports information directly from Amazon.com
   (US, Japan, Germany, and United Kingdom)
o Imports CDDB data
o Scans and imports audio file collections, such as mp3 or ogg
o Imports and exports to Alexandria libraries

%prep
%setup -q

%build 

%configure2_5x \
	--disable-debug \
	--disable-rpath \
	--with-xinerama \
	--enable-pch \
	--enable-new-ldflags \
	--enable-final \
	%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
	%endif
	--enable-nmcheck

%make

%install
rm -rf %{buildroot}

%makeinstall_std
chrpath -d %{buildroot}%{_bindir}/*

%find_lang %{name}

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean 
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%doc %dir %{_datadir}/doc/HTML/*/tellico/*
%{_bindir}/%{name}
%{_datadir}/applications/kde/tellico.desktop
%{_datadir}/mimelnk/application/x-tellico.desktop 
%{_datadir}/apps/%{name}/
%{_datadir}/apps/kconf_update/tellico-rename.upd
%{_datadir}/apps/kconf_update/tellico.upd
%{_datadir}/config.kcfg/tellico_config.kcfg
%{_datadir}/config/tellicorc
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png


%changelog
* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.14-1mdv2008.0
+ Revision: 93972
- fix file list
- new version

* Tue Jul 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.2.13-1mdv2008.0
+ Revision: 57018
- drop patch 1, as it is fixed upstream
- new version

* Sat Jul 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.2.12-1mdv2008.0
+ Revision: 52022
- new version
- provide patch 1 (compiles against yaz > 3)
- drop old menu style
- fix file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new yaz libs


* Mon Feb 05 2007 Lenny Cartier <lenny@mandriva.com> 1.2.8-1mdv2007.0
+ Revision: 116501
- Update to 1.2.8

* Thu Dec 07 2006 Lenny Cartier <lenny@mandriva.com> 1:1.2.7-1mdv2007.1
+ Revision: 91931
- Update to 1.2.6

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 1.2.6
    - import tellico-1.2.3-1mdv2007.0

* Tue Sep 26 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.3-1mdv2007.0
- 1.2.2

* Sat Sep 09 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.1-1mdv2007.0
- 1.2.2 (bugfix release for the bugfix release)

* Fri Sep 08 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.1-1mdv2007.0
- 1.2.1 (bugfix release)

* Sat Sep 02 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2-1mdv2007.0
- 1.2 final

* Tue Aug 22 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2-0.1pre3mdv2007.0
- 1.2pre3
- adjust BR and R
- add desktop patch to change exec
- don't rm buildroot in prep
- use  post postun database marco and icon cache

* Wed May 31 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-4mdv2007.0
- leave the major off the BR

* Tue May 30 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-3mdv2007.0
- fix requires
- add cddb support

* Tue May 30 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-2mdv2007.0
- use mkrel
- Put all collection mgrs Databases

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 1.1.6-1mdk
- 1.1.6

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.5-1mdk
- New release 1.1.5

* Wed Apr 05 2006 Lenny Cartier <lenny@mandriva.com> 1.1.4-1mdk
- 1.1.4

* Mon Mar 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.3-1mdk
- New release 1.1.3

* Mon Mar 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.2-1mdk
- New release 1.1.2

* Tue Feb 28 2006 Jerome quelin <jquelin@gmail.com> 1.1.1-1mdk
- 1.1.1

* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-2mdk
- fix buildrequires (#19288)

* Wed Jan 25 2006 Lenny Cartier <lenny@mandriva.com> 1.0.3-1mdk
- 1.0.3

* Tue Oct 04 2005 Lenny Cartier <lenny@mandriva.com> 1.0.2-1mdk
- 1.0.2

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.13.8-2mdk
- BuildRequires fix

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 0.13.8-1mdk
- 0.13.8

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 0.13.7-1mdk
- 0.13.7

* Mon Apr 11 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.6-1mdk
- 0.13.6

* Wed Mar 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.5-1mdk
- 0.13.5

* Mon Feb 28 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.4-1mdk
- 0.13.4

* Sat Feb 05 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.2-1mdk
- 0.13.2
- buildrequires

* Tue Jan 11 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.1-1mdk
- 0.13.1

* Wed Oct 20 2004 Charles A Edwards <eslrahc@mandrake.org> 0.12-1mdk
- Renamed to Tellico because of trademark conflict. 
  Tellico 0.12 is identical to Bookcase 0.11, except for the name change.

* Sun Sep 05 2004 Charles A Edwards <eslrahc@mandrake.org> 0.11-1mdk
- 0.11
- update feature list
- add support for CDDB and audio file metadata
- buildrequires

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- 0.10

* Fri Jun 25 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.3-1mdk
- 0.9.3
- reenable libtoolize
- patch for gcc3.4

* Sun May 16 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.1-1mdk
- 0.9.1

* Wed Apr 21 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9-1mdk
- 0.9

* Tue Apr 20 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9-0.pre1.1mdk
- 0.9pre1

* Fri Apr 02 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.5-1mdk
- 0.8.5

* Sun Feb 22 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.4-1mdk
- 0.8.4

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix menu entry

* Sat Feb 07 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.3-1mdk
- 0.8.3

